#ifndef BMS_ADC_H_
#define BMS_ADC_H_

#ifdef __cplusplus
extern "C" {
#endif 

#include "kit_macro.h"

typedef enum
{
	kAdcData_Start = 0,
	kAdcData_5vVolt = kAdcData_Start,
	kAdcData_Temp1,//1
	kAdcData_Temp2,//2
  kAdcData_Temp3,//3
	kAdcData_Temp4,//4
	kAdcData_Hall1,//5
  kAdcData_Hall2,//6
	kAdcDataEnd,
}AdcData;

void bms_init_adc(void);
void bms_poll_adc(uint32_t base_time);
uint32_t bms_get_adc_data(AdcData idx);

#ifdef __cplusplus
}
#endif

#endif

